> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets a list of inventory-out orders within the WineDirect fulfillment system



## OpenAPI

````yaml /openapi.json post /api/v1/Transfers/OUTs/Search
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Transfers/OUTs/Search:
    post:
      tags:
        - Transfers
      summary: >-
        Gets a list of inventory-out orders within the WineDirect fulfillment
        system
      parameters:
        - name: supplierId
          in: query
          description: SupplierId is the unique ID for the owner of items in the system
          required: true
          schema:
            minLength: 2
            type: string
        - name: warehouseCode
          in: query
          description: "The warehouse (Code)  \r\n            \r\n    \"GLW\" - Glenwillow,\r\n    \"WDI\" - Green Island,\r\n    \"PSO\" - Paso Robles,\r\n    \"SMA\" - Santa Maria,\r\n    \"SHW\" - Willamette Valley\r\n    \"DAL\" - Dallas"
          schema:
            type: string
        - name: sku
          in: query
          description: The SKU of the customer
          schema:
            type: string
        - name: searchStartDate
          in: query
          description: "The beginning date of the search range\r\n            \r\n    YYYY-MM-DD"
          required: true
          schema:
            type: string
            format: date-time
        - name: searchEndDate
          in: query
          description: "The ending date of the search range\r\n            \r\n    YYYY-MM-DD"
          required: true
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InventoryOutItemIEnumerableServiceResult'
components:
  schemas:
    InventoryOutItemIEnumerableServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          type: array
          items:
            $ref: '#/components/schemas/InventoryOutItem'
          description: The payload object of the response
          nullable: true
      additionalProperties: false
      description: Generic container for all service responses
    InventoryOutItem:
      required:
        - supplierId
      type: object
      properties:
        supplierId:
          minLength: 2
          type: string
          description: SupplierId is the unique ID for the owner of items in the system
        supplierName:
          type: string
          nullable: true
        warehouseCode:
          type: string
          description: "The warehouse (Code)  \r\n            \r\n    \"GLW\" - Glenwillow,\r\n    \"WDI\" - Green Island,\r\n    \"PSO\" - Paso Robles,\r\n    \"SMA\" - Santa Maria,\r\n    \"SHW\" - Willamette Valley\r\n    \"DAL\" - Dallas"
          nullable: true
        warehouseName:
          type: string
          description: The name of the warehouse
          nullable: true
        orderNumber:
          type: string
          description: The order number of the OUT for the customer
          nullable: true
        referenceNumber:
          type: string
          description: The customer defined Reference Number for this OUT
          nullable: true
        orderedDate:
          type: string
          description: Date Ordered
          format: date-time
          nullable: true
        requestedPriority:
          type: string
          description: The priority for this OUT
          nullable: true
        requestDate:
          type: string
          description: The date requested
          format: date-time
          nullable: true
        statusCode:
          type: string
          description: The status (code)
          nullable: true
        status:
          type: string
          description: The status (Name)
          nullable: true
        createdBy:
          type: string
          description: Who created this OUT
          nullable: true
        isEditable:
          type: boolean
          description: Is this OUT editable
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````